#ifndef GNOME_RUBRICA_CALLBACK_H
#define GNOME_RUBRICA_CALLBACK_H

#include <gnome.h>
#include "rubrica.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/*   callback per il menu file
*/
void on_nuovo_file_cb(void);
void on_apri_cb(void);
void on_salva_cb(void);
void on_salva_con_nome_cb(void);

/*  callback per il menu modifica
*/
void on_taglia_cb(void);
void on_copia_cb(void);
void on_incolla_cb(void);
void on_cancella_cb(void);

/*  callback per il menu preferenze
*/
void on_preferenze_cb(void);

/*  callback per il menu help
*/
// void on_informazioni_su_cb(void);

/*  callback per la toolbar
*/
void aggiungi_scheda_cb(void);
void elimina_scheda_cb(void);
void modifica_scheda_cb(void);
void prima_scheda_cb(void);
void ultima_scheda_cb(void);

/*
*/
tipo_telefono radio_click(GtkWidget *bottone_radio, TelNum *dato);

void on_bt_elimina_clicked(void);
void on_button_nuovo_clicked(void);

void on_button_apri_clicked(void);
void on_button_salva_clicked(void);
void on_bt_aggiungi_clicked(void);

void on_button_prec_clicked(GtkWidget *w, gpointer data);
void on_button_succ_clicked(GtkWidget *w, gpointer data);
void on_button_inizio_clicked(GtkWidget *w, gpointer data);
void on_button_fine_clicked(GtkWidget *w, gpointer data);
void on_bt_esci_clicked(GtkWidget *w, gpointer data);


void trova_scheda_cb(GtkWidget *w, gpointer data);

/* callback dialogo dedica
*/
void on_dedica_ok_bt_clicked(void);

/* callback file selection. Cliccato:
   - ok 
   - cancel
*/
void on_ok_fs_clicked(GtkWidget *w, GtkFileSelection *fs);
void on_cancel_fs_clicked(GtkFileSelection *fs, gpointer data);


/*
  on block notes botton ... clicked
  -- -     -     ---        -------

  - aggiungi
  - modifica
  - elimina
*/
void web_add_clicked(GtkWidget *w, gpointer data);
void web_edit_clicked(void);
void web_canc_clicked(void);

void mail_add_clicked(GtkWidget *w, gpointer data);
void mail_edit_clicked(void);
void mail_canc_clicked(void);

void tel_add_clicked(GtkWidget *w, gpointer data);
void tel_edit_clicked(void);
void tel_canc_clicked(void);

/*  Callback richiamate alla pressione dei bottoni della
    form di acquisizione dati 
    - ok
    - applica
    - annulla
*/

void on_form_applica_bt_clicked(GtkWidget *w, gpointer data);


/* Dati personali */
void prendi_dati_cb(GtkWidget *bottone, GnomeRubrica *apprub);
TipoRubrica *prendi_dati(GnomeRubrica *apprub);

void prendi_nome_scheda(GtkWidget *w, TipoRubrica*);
void prendi_dati_nome(GtkWidget *w, TipoRubrica*);
void prendi_dati_cognome(GtkWidget *w, TipoRubrica*);
void prendi_dati_professione(GtkWidget *w,  TipoRubrica*);
void prendi_dati_via(GtkWidget *w, TipoRubrica*);
void prendi_dati_numero(GtkWidget *w, TipoRubrica*);
void prendi_dati_citta(GtkWidget *w, TipoRubrica*);
void prendi_dati_provincia(GtkWidget *w,  TipoRubrica*);
void prendi_dati_cap(GtkWidget *w, TipoRubrica*);
void prendi_dati_stato(GtkWidget *w, TipoRubrica*);

/* Rete */
void prendi_dati_web(GtkWidget *w, TipoRubrica* );
void prendi_dati_mail(GtkWidget *w, TipoRubrica*);

/* Telefono */
void prendi_dati_tel(GtkWidget *w, TipoRubrica*);

/* Chiude l'epplicazione e torma a Gnome */
void chiudi_applicazione(GtkWidget* w, gpointer data);
void chiudi_form(GtkWidget *w, gpointer data);

/* callback richiamate alla selezione di una riga di clist */
void selezione_riga_lista(GtkWidget *clist, gint riga, gint col,
			  GdkEventButton *event, gpointer data);

void selezionata_riga(GtkWidget *clist, gint riga, gint col,
		      GdkEventButton *event, gpointer data);

#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* GNOME_RUBRICA_CALLBACK_H */
