#ifndef GNOME_RUBRICA_H
#define GNOME_RUBRICA_H

#define APPLICAZIONE "GnomeRubrica"
#define VERSIONE "0.0.2"
#define TITOLO "Rubrica"

typedef enum {
  BEGIN = 0, 
  BEGIN_ITEM,
  CANCELLABILE,  EDITABILE,
  SCHEDA,
  NOME,  COGNOME,  PROFESSIONE,
  VIA,  NUMERO,  CITTA,  PROVINCIA,  CAP,  STATO,
  WEB,  MAIL,  TELEFONO,  TIPO, NOTE, NOTE_NULLE, LEN_NOTE, 
  END_ITEM,   END,
  SCONOSCIUTO
} Token;


typedef enum {
  NUOVO = 0,
  APRI,
  SALVA,
  SALVA_COME
} ModoApertura;


typedef enum 
{
  TELEFONO_CASA = 0,
  TELEFONO_UFFICIO,
  TELEFONO_FAX,
  TELEFONO_CELLULARE,
  TELEFONO_SCONOSCIUTO,
  TELEFONO_FINE
} tipo_telefono;

typedef enum 
{
  OP_NUOVA_RUBRICA_STILE_EMACS = 0,
  OP_NUOVA_RUBRICA_STILE_GEDIT,
  OP_MOSTRA_PATH_COMPLETA,
  OP_MOSTRA_NOMEFILE
} tipo_opzioni;

typedef
struct _opzioni {
  gint nuova_rubrica;
  
  gint path;
} Opzioni;

typedef 
struct _contatore {
  gint mail;
  gint web;
  gint tel;
} Contatore;

typedef 
struct _tel_item {
  gchar *numero;
  tipo_telefono tipo;  
} TelNum;

typedef 
struct _elemento_registro {
  GtkWidget *ptr;
  gchar *nome;
} RegElem;

/*    rub - variabile rubrica
 */ 
typedef 
struct _elemento_rubrica {
  gboolean cancellabile;
  gboolean editabile;
  
  gchar *nome_scheda;
  
  gchar *nome;
  gchar *cognome;
  gchar *professione;
  gchar *via;
  gchar *numero;
  gchar *citta;
  gchar *provincia;
  gchar *cap;
  gchar *stato;
  
  GList *web;
  GList *mail;
  GList *telefono; 
  
  gchar *note;
  guint lunghezza;
} TipoRubrica;

typedef 
struct _file_rubrica {
  gchar *path;
  gchar *directory;
  gchar *nomefile;
  gint modo;
  FILE  *fp; 

  gint elementi_salvati;
  gint elementi_letti;
  glong spiazzamento;
} FileRubrica;


typedef 
struct _app_rubrica {
  GtkWidget *window;           // finestra principale dell'applicazione   
  
  GtkWidget *clista;           // lista schede inserite -- CAMBIARE IL NOME --
  GtkWidget *clist_dati;       // visualizzatore dati   -- CAMBIARE IL NOME --
  GtkWidget *label_path_file;  // label nome file       -- CAMBIARE IL NOME --
  
  GtkAdjustment *adj;
  GtkWidget *progressbar;
  
  GtkWidget *form;     // finestra di dialogo per l'acquisizione dei dati 
  
  GtkWidget *scheda;               // entry scheda
  GtkWidget *nome;                 // entry nome
  GtkWidget *cognome;              // entry cognome 
  GtkWidget *prof;                 // entry professione
  GtkWidget *via;                  // entry via
  GtkWidget *num;                  // entry numero
  GtkWidget *citta;                // entry citta
  GtkWidget *prov;                 // entry provincia
  GtkWidget *cap;                  // entry cap 
  GtkWidget *stato;                // entry stato 
  
  GtkWidget *web;                  // entry web
  GtkWidget *mail;                 // entry mail 
  GtkWidget *tel;                  // entry telefono
  
  GtkWidget *mail_list;            // lista mail  -- tipo clist  1 colonna --
  GtkWidget *web_list;             // lista web            ""
  GtkWidget *tel_clista;           // lista telefono       ""    2 colonne 
  
  // radio button
  GSList *radio_group;
  GtkWidget *radio_casa;
  GtkWidget *radio_work;
  GtkWidget *radio_fax;
  GtkWidget *radio_cell;
  
  // text
  GtkWidget *note;

  /* riga e colonna selezionate nella lista corrente */
  gint riga; 
  gint colonna;
  
  gboolean nominativo_selezionato;
  gboolean web_selezionato;
  gboolean mail_selezionato;
  gboolean tel_selezionato;

  gboolean form_done;    // flag. La form di acquisizione  stata creata?
  gboolean mostra_path;
} GnomeRubrica;

#endif /* GNOME_RUBRICA_H */
